View Issue Details

IDProjectCategoryView StatusLast Update
0003807FreeCADBugpublic2019-07-29 14:57
Reportermywave82Assigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSOS Versiongit master
Product Version0.18 
Target VersionFixed in Version0.18 
Summary0003807: STEP export with BaseFeature does not hide BaseObject
DescriptionWhen creating an object that can have BaseFeature, both the original and the child reference gets exported.
Steps To Reproduce* Install FCGear Module
* Create a Gear
* Optionally move the Gear into a part/body, creating a BaseFeature of the Gear
* Add more operations to the Body (examples being rotation, translation and subtracting functions)
* (In the Part-Designer in FreeCAD, everything looks normal)
* File->Export As, and make a STEP model

The exported STEP file now contains two copies of the Gear. One original and one that contains the operation done in the part/body.

STEP file is too large for upload (15M)
Tagsexport, STEP

Activities

mywave82

2019-01-28 23:42

reporter  

Kunda1

2019-01-29 18:24

administrator   ~0012556

@mywave82 please add the file via 3rd party hosting service (dropbox, google drive etc..) Also please post the full FreeCAD version you are using Help > About FreeCAD > Copy to clipboard and also the FCGear version you are using.

mywave82

2019-01-29 18:43

reporter   ~0012559

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15703 +6 (Git)
Build type: Debug
Branch: cMake-report
Hash: bd66a158cd1d43ce717c342183c885bbecf14e62
Python version: 3.6.7
Qt version: 5.12.0
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United States (en_US)


Built using https://github.com/FreeCAD/FreeCAD/pull/1930

-- Python: [/usr/bin/python3] [.cpython-36m-x86_64-linux-gnu]
-- PCL: not enabled
-- pybind11: not enabled
-- Boost: 106501
-- XercesC: [/usr/lib/x86_64-linux-gnu/libxerces-c.so] [/usr/include]
-- ZLIB: 1.2.11
-- PyCXX: [/home/stian/FreeCAD/FreeCAD.mywave82-4/src]
-- OCC: 7.3.0 [TKFillet;TKMesh;TKernel;TKG2d;TKG3d;TKMath;TKIGES;TKSTL;TKShHealing;TKXSBase;TKBin;TKBool;TKBO;TKCDF;TKBRep;TKTopAlgo;TKGeomAlgo;TKGeomBase;TKOffset;TKPrim;TKSTEP;TKSTEPBase;TKSTEPAttr;TKHLR;TKFeat]
-- SMESH: build internal
-- MEDFile: [/usr/lib/x86_64-linux-gnu/libmedC.so;/usr/lib/x86_64-linux-gnu/libmed.so] [/usr/include]
-- HDF5: 1.8.13
-- VTK: 8.2.0
-- NETGEN: 6.2-dev [-DNO_PARALLEL_THREADS;-DOCCGEOMETRY;-DNETGEN_VERSION=393728] [] [/usr/local/include/include;/usr/local/include] [nglib] [/usr/local/include/include;/usr/local/include]
-- SWIG: 3.0.12
-- Eigen3 3.3.4
-- Qt5Core: 5.12.0
-- Qt5Network: 5.12.0
-- Qt5Xml: 5.12.0
-- Qt5Widgets: 5.12.0
-- Qt5PrintSupport: 5.12.0
-- Qt5OpenGL: 5.12.0
-- Qt5Svg: 5.12.0
-- Qt5UiTools: 5.12.0
-- Qt5Concurrent: 5.12.0
-- Qt5WebKitWidgets: not needed (BUILD_WEB)
-- Shiboken2: 5.12.1 [/home/stian/pyside-setup/pyside3_install/py3.6-qt5.12.0-64bit-release/lib/cmake/Shiboken2-5.12.1] [/home/stian/pyside-setup/pyside3_install/py3.6-qt5.12.0-64bit-release/include/shiboken2]
-- PySide2: 5.12.1 [/home/stian/pyside-setup/pyside3_install/py3.6-qt5.12.0-64bit-release/include/PySide2]
-- PySide2Tools: [/home/stian/pyside-setup/pyside3_install/py3.6-qt5.12.0-64bit-release/bin/pyside2-uic] [/home/stian/pyside-setup/pyside3_install/py3.6-qt5.12.0-64bit-release/bin/pyside2-rcc]
-- Freetype: 2.8.1
-- OpenGLU: /usr/lib/x86_64-linux-gnu/libGLU.so [/usr/lib/x86_64-linux-gnu/libGLU.so][/usr/include]
-- Coin3D: [/usr/local/lib/libCoin.so] [/usr/local/include]
-- SPNAV: [/usr/lib/libspnav.so] [/usr/include]
-- Matplotlib: 2.1.1
-- Rift: not enabled (BUILD_VR)
-- Doxygen: not found

FCGears I do not think have any proper versioning, but it has not been updated a lot lately.
https://github.com/looooo/freecad.gears

$
 ls ~/.FreeCAD/Mod
FCGear
Manipulator
Part-o-magic
parts_library

mywave82

2019-01-29 18:45

reporter  

test1.FCStd (2,384,408 bytes)

mywave82

2019-01-29 18:47

reporter   ~0012560

test1.step (via Google Drive)

wmayer

2019-02-23 18:45

administrator   ~0012733

https://github.com/FreeCAD/FreeCAD/commit/0852dde409a0375f0be99e5713c39f3f0c5d4810

A workaround for older versions is to move the imported gear outside the Part container.

Related Changesets

FreeCAD: releases/FreeCAD-0-18 0852dde4

2019-02-23 18:43:35

wmayer

Details Diff
fixes 0003807: STEP export with BaseFeature does not hide BaseObject Affected Issues
0003807
mod - src/Mod/Import/App/ExportOCAF.cpp Diff File
mod - src/Mod/Import/App/ExportOCAF.h Diff File

Issue History

Date Modified Username Field Change
2019-01-28 23:42 mywave82 New Issue
2019-01-28 23:42 mywave82 File Added: Screenshot at 2019-01-26 05-19-27.png
2019-01-28 23:42 mywave82 File Added: Screenshot at 2019-01-29 00-31-24.png
2019-01-28 23:42 mywave82 File Added: Screenshot at 2019-01-29 00-34-06.png
2019-01-29 18:24 Kunda1 Note Added: 0012556
2019-01-29 18:24 Kunda1 Tag Attached: STEP
2019-01-29 18:24 Kunda1 Tag Attached: export
2019-01-29 18:25 Kunda1 Status new => feedback
2019-01-29 18:43 mywave82 Note Added: 0012559
2019-01-29 18:43 mywave82 Status feedback => new
2019-01-29 18:45 mywave82 File Added: test1.FCStd
2019-01-29 18:47 mywave82 Note Added: 0012560
2019-02-23 18:45 wmayer Assigned To => wmayer
2019-02-23 18:45 wmayer Status new => closed
2019-02-23 18:45 wmayer Resolution open => fixed
2019-02-23 18:45 wmayer Fixed in Version => 0.18
2019-02-23 18:45 wmayer Note Added: 0012733
2019-07-29 14:57 Kunda1 Changeset attached => FreeCAD releases/FreeCAD-0-18 0852dde4